Bug 827657 - [abrt] gtkpod-2.1.1-3.fc17: g_logv: Process /usr/bin/gtkpod was killed by signal 5 (SIGTRAP)
[abrt] gtkpod-2.1.1-3.fc17: g_logv: Process /usr/bin/gtkpod was killed by sig...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtkpod (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Todd Zullinger
Fedora Extras Quality Assurance
abrt_hash:7cfbcc3abca45affa01ff51c073...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-02 00:10 EDT by Jon
Modified: 2013-08-01 08:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 08:38:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (45.35 KB, text/plain)
2012-06-02 00:10 EDT, Jon
no flags Details
File: dso_list (10.36 KB, text/plain)
2012-06-02 00:10 EDT, Jon
no flags Details
File: build_ids (4.44 KB, text/plain)
2012-06-02 00:10 EDT, Jon
no flags Details
File: maps (53.09 KB, text/plain)
2012-06-02 00:10 EDT, Jon
no flags Details

  None (edit)
Description Jon 2012-06-02 00:10:04 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        gtkpod
crash_function: g_logv
executable:     /usr/bin/gtkpod
kernel:         3.3.7-1.fc17.x86_64
pid:            3323
time:           Fri 01 Jun 2012 11:43:56 PM EDT
uid:            1000

backtrace:      Text file, 46440 bytes
build_ids:      Text file, 4551 bytes
dso_list:       Text file, 10612 bytes
maps:           Text file, 54368 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/pchild/2

core_backtrace:
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x4e851 g_logv libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x4e9e2 g_log libglib-2.0.so.0 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0xa6322 - libgio-2.0.so.0 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0xa64fc - libgio-2.0.so.0 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0xab453 g_settings_bind_with_mapping libgio-2.0.so.0 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0xab947 g_settings_bind libgio-2.0.so.0 -
:b3931bd6561ee574a78fa779975e98b01e5cec56 0x31c99 anjuta_preferences_register_property libanjuta-3.so.0 -
:b3931bd6561ee574a78fa779975e98b01e5cec56 0x31fb1 anjuta_preferences_register_all_properties_from_builder_xml libanjuta-3.so.0 -
:b3931bd6561ee574a78fa779975e98b01e5cec56 0x321db anjuta_preferences_add_from_builder libanjuta-3.so.0 -
:7086054f3caaea193d3d2b03add32b7592b406c5 0xa517 anjuta_app_install_preferences [exe] -
:7086054f3caaea193d3d2b03add32b7592b406c5 0x85d8 on_set_preferences1_activate [exe] -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x206d8 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x95d53 - libgtk-3.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x20003 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x2a210c gtk_widget_activate libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x195a1e gtk_menu_shell_activate_item libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x195dab - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x17adcf - libgtk-3.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf943 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x2a2d0e - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x178d96 - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x17a9a3 gtk_main_do_event libgtk-3.so.0 -
:8b33feb27b2125997520fdd21c90c42a65e438f1 0x48e62 - libgdk-3.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47e12 g_main_loop_run libglib-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x179d65 gtk_main libgtk-3.so.0 -
:7086054f3caaea193d3d2b03add32b7592b406c5 0x7949 main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=mekhanes.theos
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/XXX/keyring-ig1Qvx
:IMSETTINGS_MODULE=none
:
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/XXXX
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1005
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:
:SHLVL=1
:LOGNAME
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-6kTpFGtP6z,guid=2900696b03125ce6fb6e642600000057
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-XXXXX-tjewPw/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1009,unix/unix:/tmp/.ICE-unix/1009
:SSH_AUTH_SOCK=/run/user/XXXX/keyring-ig1Qvx/ssh
:GPG_AGENT_INFO=/run/user/XXXX/keyring-ig1Qvx/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-gtkpod.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=3323

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 62111                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       62111                62111                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/pchild/.xsession-errors
:pos:	30933
:flags:	0102002
:2:/home/pchild/.xsession-errors
:pos:	30933
:flags:	0102002
:3:socket:[78316]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[78319]
:pos:	0
:flags:	02004002
:6:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:7:socket:[80509]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:socket:[78320]
:pos:	0
:flags:	04002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:socket:[80999]
:pos:	0
:flags:	02004002
:12:anon_inode:inotify
:pos:	0
:flags:	02004000

smolt_data:
:
:
:General
:=================================
:UUID: e5726af7-c54d-4f21-8993-c3f5ccce07fb
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5320.27
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7 CPU       M 620  @ 2.67GHz
:CPU Stepping: 2
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2667
:System Memory: 7783
:System Swap: 9215
:Vendor: FUJITSU
:System: T900 
:Form factor: Notebook
:Kernel: 3.3.7-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4631:28982:4303:5181) pci, yenta_cardbus, PCI/CARDBUS, OZ711SP1 Memory CardBus Controller
:(4631:28982:4303:5181) pci, yenta_cardbus, PCI/CARDBUS, OZ711SP1 Memory CardBus Controller
:(4631:28976:4303:5181) pci, None, STORAGE, Integrated MS/xD Controller
:(4631:28960:4303:5181) pci, sdhci-pci, BASE, Integrated MMC/SD Controller
:(4631:247:4303:5182) pci, firewire_ohci, FIREWIRE, Firewire (IEEE 1394)
:(4147:404:65535:65535) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:(32902:11362:4303:5467) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11521:4303:5467) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:68:4303:5381) pci, agpgart-intel, HOST/PCI, Core Processor DRAM Controller
:(32902:11536:4303:5467) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11537:4303:5467) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11538:4303:5467) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11539:4303:5467) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15152:4303:5413) pci, i801_smbus, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15151:4303:5411) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 6 port SATA AHCI Controller
:(32902:15111:4303:5498) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:4303:5414) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(32902:4330:4303:5492) pci, e1000e, ETHERNET, 82577LM Gigabit Network Connection
:(32902:9288:4303:5403) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15164:4303:5416) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15156:4303:5416) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15204:4303:5419) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:70:4303:5384) pci, i915, VIDEO, Core Processor Integrated Graphics Controller
:(32902:15180:4303:5417) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 6
:(32902:15172:4303:5417) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15190:4303:5237) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(32902:15207:4303:5423) pci, serial, 16550_SERIAL, 5 Series/3400 Series Chipset KT Controller
:(32902:15206:4303:5422) pci, ata_generic, STORAGE, 5 Series/3400 Series Chipset PT IDER Controller
:(32902:16940:32902:4865) pci, iwlwifi, NETWORK, Centrino Advanced-N 6200 2x2 AGN
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/LinuxVolumeGroup-LVG_ROOT / ext4 4096 4096 9007842 7709357 7619179 2260992 2119443 2119443
:/dev/sda3 /boot ext4 4096 4096 196028 173736 163906 49152 48796 48796
:

var_log_messages:
:Jun  1 23:34:15 mekhanes yum[2746]: Installed: gtkpod-2.1.1-3.fc17.x86_64
:Jun  1 23:43:56 mekhanes kernel: [ 3248.478086] gtkpod[3323] trap int3 ip:3e45a4e851 sp:7ffffb83a480 error:0
:Jun  1 23:43:57 mekhanes abrt[3333]: Saved core dump of pid 3323 (/usr/bin/gtkpod) to /var/spool/abrt/ccpp-2012-06-01-23:43:56-3323 (67780608 bytes)

xsession_errors:
:** (gtkpod:3323): CRITICAL **: gp_load_ipod: assertion `itdb->usertype & GP_ITDB_TYPE_IPOD' failed
:(gtkpod:3323): GLib-GIO-ERROR **: Settings schema 'org.gtkpod' does not contain a key named 'disable_splash_screen'
Comment 1 Jon 2012-06-02 00:10:14 EDT
Created attachment 588621 [details]
File: backtrace
Comment 2 Jon 2012-06-02 00:10:16 EDT
Created attachment 588623 [details]
File: dso_list
Comment 3 Jon 2012-06-02 00:10:18 EDT
Created attachment 588624 [details]
File: build_ids
Comment 4 Jon 2012-06-02 00:10:21 EDT
Created attachment 588625 [details]
File: maps
Comment 5 Vilhjálmur Magnússon 2012-06-06 11:19:26 EDT
Trying to change songs on an ipod using gtkpod.		

backtrace_rating: 4
Package: gtkpod-2.1.1-3.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Mikel 2012-06-13 12:51:19 EDT
I just installed the product, and I selected preferences when the program aborted.  No iPod was attached the time.

backtrace_rating: 4
Package: gtkpod-2.1.1-3.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 sahinsureyya 2012-06-15 14:41:15 EDT
Choosing "Preferences" from the "Edit" Menu item of gtkpod caused this crash.

backtrace_rating: 4
Package: gtkpod-2.1.1-3.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 balustre 2012-07-17 06:11:56 EDT
Open Preferences in gtkpod

backtrace_rating: 4
Package: gtkpod-2.1.1-3.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 9 Fedora End Of Life 2013-07-04 00:05:26 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2013-08-01 08:38:56 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.